{
  "model": {
    "type": "minecraft:condition",
    "on_false": {
      "type": "minecraft:select",
      "cases": [
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow_arrow"
          },
          "when": "arrow"
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow_firework"
          },
          "when": "rocket"
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "leashedplayer:item/crossbow_leash_rope_arrow"
          },
          "when": "leash_rope_arrow"
        }
      ],
      "fallback": {
        "type": "minecraft:model",
        "model": "minecraft:item/crossbow"
      },
      "property": "leashedplayer:charge_extend_type"
    },
    "on_true": {
      "type": "minecraft:range_dispatch",
      "entries": [
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow_pulling_1"
          },
          "threshold": 0.58
        },
        {
          "model": {
            "type": "minecraft:model",
            "model": "minecraft:item/crossbow_pulling_2"
          },
          "threshold": 1.0
        }
      ],
      "fallback": {
        "type": "minecraft:model",
        "model": "minecraft:item/crossbow_pulling_0"
      },
      "property": "minecraft:crossbow/pull"
    },
    "property": "minecraft:using_item"
  }
}